
<div class="tag-group" [ngStyle]="{'min-height': height, 'border': error ? '1px solid #ff4d4f' : '1px solid #d4d7e7'}">
  <div class="tag-group__tags" nz-dropdown [nzDropdownMenu]="menuCriteria" #dropdown="nzDropdown"
       [nzTrigger]="'click'" [(nzVisible)]="isVisible" [nzClickHide]="false"
       [nzDisabled]="disable">
    <nz-tag *ngFor="let item of listSelect; let i = index" class="tag-group__tags--tag"><span>{{item.value}}</span> <em
      nz-icon nzType="close-circle" nzTheme="fill" (click)="removeItem(i, $event)"></em></nz-tag>
    <div class="tag-group__tags--input" [ngStyle]="{'font-size': fontSize}">
      <span *ngIf="!listSelect.length">Chọn ý kiến</span>
    </div>
  </div>
  <div class="tag-group__close" *ngIf="!disable">
    <button *ngIf="listSelect.length"  class="tag-group__close--button" nz-button (click)="unSelectAll()"><em nz-icon nzType="close" nzTheme="outline"></em></button>
    <em nz-icon nzType="down" nzTheme="outline" *ngIf="!listSelect.length" class="tag-group__close--select"></em>
  </div>
</div>

<ng-container>
  <nz-dropdown-menu #menuCriteria="nzDropdownMenu">
    <div class="org-select">
      <div class="org-select__title">
        <span> {{'Chọn ý kiến' | translate}}</span>
      </div>
      <div class="org-select__list">
        <ul nz-menu>
          <li nz-menu-item>
            <div class="org-select__title--switch">
              <nz-switch (ngModelChange)="change($event)" [ngModel]="selectAll" nzSize="small"></nz-switch>
              <span>{{'Chọn tất cả' | translate}}</span>
            </div>
          </li>
        </ul>
        <ul *ngFor="let item of orgListFilter, let i = index" nz-menu>
          <li (ngModelChange)="onSelect(i)" [ngModel]="setSelect.has(i)" class="org-select__list--line"
              nz-checkbox nz-menu-item>
            {{item.value}}</li>
        </ul>
        <nz-empty *ngIf="orgListFilter.length === 0" nzNotFoundImage="simple"></nz-empty>
      </div>
      <div class="org-select__footer">
        <button class="org-select__footer--button" (click)="done()">{{'Chọn ý kiến' | translate}}</button>
      </div>
    </div>
  </nz-dropdown-menu>
</ng-container>
